package coffee._finally.keycloak_metrics;

import org.keycloak.provider.Provider;
import org.keycloak.provider.ProviderFactory;
import org.keycloak.provider.Spi;

public class ServerSpi implements Spi {
    @Override
    public boolean isInternal() {
        return false;
    }

    @Override
    public String getName() {
        return "metrics-server";
    }

    @Override
    public Class<? extends Provider> getProviderClass() {
        return ServerProvider.class;
    }

    @Override
    public Class<? extends ProviderFactory> getProviderFactoryClass() {
        return ServerProviderFactory.class;
    }
}
